Jump to content
  • 1
MaxBep

Cannnot validate game version HELPPPPPP

Question

Hi!

After last update i cannot open ETS2MP. 

I always get "Cannnot validate game version. Would you like to try again?" and i try all the solutions but non of them worked so help me please. The game is awesome but i cant play it.

I am very angry :angry:  about that game update.

Thank you,

BYE

http://prntscr.com/a1fxcc

Share this post


Link to post
Share on other sites

7 answers to this question

Recommended Posts

  • 0

Hello,

Are you running on a 64-bit computer? MP has recently gone to 64-bit only and no longer support 32-bit. 

 

To find out whether your computer is 32 or 64 bit, go to Start > Where it says Computer/This PC, right click this and click Properties. Then, under System, it should tell you whether your computer is running 32 or 64 bit. 

 

Thanks.

Share this post


Link to post
Share on other sites
  • 0

My version of ets2 is 1.22.2.7s but when i start the game with steam on SP i says 32 bit but my windows 7 is 64 bit. Mybe is that a problem????

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...